LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCustomSprite Interface Reference

Interface to control a custom sprite object on a XSpriteCanvas. More...

`import"XCustomSprite.idl";`

Inheritance diagram for XCustomSprite:

## Public Member Functions
XCanvas | getContentCanvas ()
| Query a render canvas for this sprite's content. More...
Public Member Functions inherited from XSprite
void | setAlpha ([in] double nAlpha) raises (com::sun::star::lang::IllegalArgumentException)
| Set overall transparency of the sprite. More...
void | move ([in] ::com::sun::star::geometry::RealPoint2D aNewPos, [in] ViewState aViewState, [in] RenderState aRenderState) raises (com::sun::star::lang::IllegalArgumentException)
| Move sprite to the specified position. More...
void | transform ([in] com::sun::star::geometry::AffineMatrix2D aTransformation) raises (com::sun::star::lang::IllegalArgumentException)
| Apply a local transformation to the sprite. More...
void | clip ([in] XPolyPolygon2D aClip)
| Apply a clipping to the shape output. More...
void | setPriority ([in] double nPriority)
| Set sprite priority. More...
void | show ()
| Make the sprite visible. More...
void | hide ()
| Make the sprite invisible. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to control a custom sprite object on a XSpriteCanvas.

Every change performed on XCustomSprite objects is only visible after a XSpriteCanvas::updateScreen() call, to facilitate synchronized screen updates.

TODO: Maybe more than alpha has to be overridden from render state. TODO: Provide means to change the output area

## Member Function Documentation

## ◆ getContentCanvas()

XCanvas getContentCanvas | ( |  | ) |

Query a render canvas for this sprite's content.

Whatever is rendered to this canvas will become visible on the screen only after a XSpriteCanvas::updateScreen() call at the associated sprite canvas. This canvas is not equivalent to the host canvas of the sprite. At the very least, all output happens relative to the sprite's upper left corner, i.e. the origin of the sprite's canvas device coordinate system will move with the sprite across the screen.

Returns
  the canvas the sprite content can be rendered into.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XCustomSprite.idl